
function Log(v)
	print(tostring(v).."\n");
end
function PrintVector(v)
	print(tostring(v));
end
function endl()
	print("\n");
end
function AbsVec(v)
	return CVector(math.abs(v.x), math.abs(v.y), math.abs(v.z));
end
function toEluer(q)
	return CVector(q:getPitch(), q:getYaw(), q:getRoll());
end
function MinVec(v1, v2)
	return CVector(math.min(v1.x, v2.x), math.min(v1.y, v2.y), math.min(v1.z, v2.z));
end
function MaxVec(v1, v2)
	return CVector(math.max(v1.x, v2.x), math.max(v1.y, v2.y), math.max(v1.z, v2.z));
end
function MinMaxCorners(v1, v2)
	return MinVec(v1, v2), MaxVec(v1, v2);
end
